WBINFO(1)

NAME
wbinfo - Query information from winbind daemon

SYNOPSIS

wbinfo [ -u ] [ -g ] [ -n name ] [ -s sid ] [ -U uid ] [ -G gid ] [ -S sid ] [ -Y sid ] [ -t ] [ -m ] [ -a user%password ] [ -p ]

DESCRIPTION

This tool is part of the Sambasuite.

The wbinfo program queries and returns information created and used by the winbindd(8)daemon.

The winbindd(8) daemon must be configured and running for the wbinfo program to be able to return information.

OPTIONS

-u  This option will list all users available in the Windows NT domain for which the winbindd(8) daemon is operating in. Users in all trusted domains will also be listed. Note that this operation does not assign user ids to any users that have not already been seen by winbindd(8).

-g  This option will list all groups available in the Windows NT domain for which the winbindd(8) daemon is operating in. Groups in all trusted domains will also be listed. Note that this operation does not assign group ids to any groups that have not already been seen by winbindd(8).

-n name
    The -n option queries winbindd(8) for the SID associated with the name specified. Domain names can be specified before the user name by using the winbind separator character. For example CWDOM1/Administrator refers to the Administrator user in the domain CWDOM1. If no domain is specified then the domain used is the one specified in the smb.conf workgroup parameter.

-s sid
    Use -s to resolve a SID to a name. This is the inverse of the -n option above. SIDs must be specified as ASCII strings in the traditional Microsoft format. For example, S-1-5-21-1455342024-3071081365-2475485837-500.

-U uid
    Try to convert a UNIX user id to a Windows NT SID. If the uid specified does not refer to one within the winbind uid range then the operation will fail.

-G gid
    Try to convert a UNIX group id to a Windows NT SID. If the gid specified does not refer to one within the winbind gid range then the operation will fail.

-S sid
    Convert a SID to a UNIX user id. If the SID does not correspond to a UNIX user mapped by winbindd(8) then the operation will fail.

-Y sid
    Convert a SID to a UNIX group id. If the SID does not correspond to a UNIX group mapped by winbindd(8) then the operation will fail.

-t  Verify that the workstation trust account created when the Samba server is added to the Windows NT domain is working.

-m  Produce a list of domains trusted by the Windows NT server winbindd(8) contacts when resolving names. This list does not include the Windows NT domain the server is a Primary Domain Controller for.

-a username%password
    Attempt to authenticate a user via winbindd. This checks both authenticaion methods and reports its results.

-p  Attempt a simple 'ping' check that the winbindd is indeed alive.

EXIT STATUS

The wbinfo program returns 0 if the operation succeeded, or 1 if the operation failed. If the winbindd(8) daemon is not working wbinfo will always return failure.

VERSION

This man page is correct for version 2.2 of the Samba suite.

SEE ALSO

winbindd(8)

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

wbinfo and winbindd were written by Tim Potter.

The conversion to DocBook for Samba 2.2 was done by Gerald Carter